Groups and labels
Remove contacts from a group
Removes the contacts listed in group.contact_ids from one of the calling user’s groups and returns the group with its remaining contacts. The contacts themselves are not deleted. Returns 400 when the group cannot be saved. Requires a company admin or rep Bearer token; admin users, company API tokens, and partner tokens also need the users update permission.
PUT
/
api
/
groups
/
{group_id}
/
remove_contacts
Remove contacts from a group
curl --request PUT \
--url https://api.fluid.app/api/groups/{group_id}/remove_contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"group": {
"contact_ids": [
61861
]
}
}
'import requests
url = "https://api.fluid.app/api/groups/{group_id}/remove_contacts"
payload = { "group": { "contact_ids": [61861] } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({group: {contact_ids: [61861]}})
};
fetch('https://api.fluid.app/api/groups/{group_id}/remove_contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/groups/{group_id}/remove_contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'group' => [
'contact_ids' => [
61861
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/groups/{group_id}/remove_contacts"
payload := strings.NewReader("{\n \"group\": {\n \"contact_ids\": [\n 61861\n ]\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fluid.app/api/groups/{group_id}/remove_contacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"group\": {\n \"contact_ids\": [\n 61861\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/groups/{group_id}/remove_contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"group\": {\n \"contact_ids\": [\n 61861\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 7343,
"name": "Scranton Business Park",
"avatar": "📎",
"avatar_background": "#E5F5FF",
"contacts": [],
"activities": []
}{
"message": "<string>"
}Response
Success
A contact group owned by a user, with its contacts.
⌘I
Remove contacts from a group
curl --request PUT \
--url https://api.fluid.app/api/groups/{group_id}/remove_contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"group": {
"contact_ids": [
61861
]
}
}
'import requests
url = "https://api.fluid.app/api/groups/{group_id}/remove_contacts"
payload = { "group": { "contact_ids": [61861] } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({group: {contact_ids: [61861]}})
};
fetch('https://api.fluid.app/api/groups/{group_id}/remove_contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/groups/{group_id}/remove_contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'group' => [
'contact_ids' => [
61861
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/groups/{group_id}/remove_contacts"
payload := strings.NewReader("{\n \"group\": {\n \"contact_ids\": [\n 61861\n ]\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fluid.app/api/groups/{group_id}/remove_contacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"group\": {\n \"contact_ids\": [\n 61861\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/groups/{group_id}/remove_contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"group\": {\n \"contact_ids\": [\n 61861\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 7343,
"name": "Scranton Business Park",
"avatar": "📎",
"avatar_background": "#E5F5FF",
"contacts": [],
"activities": []
}{
"message": "<string>"
}